	volScalarField weight
	(
	IOobject
	(
	"weight",
	runTime.timeName(),
	mesh,
	IOobject::NO_READ,
	IOobject::NO_WRITE
	),
	1-(pos(gamma-0.5)) //returns 1 if gamma > 0.5 and 0 otherwise
	//(1-gamma)
	);    

	// - Bubble center
    vector Cb;
    Cb = gSum((1.0 - weight.internalField())*
         mesh.C().internalField()*mesh.V())/
         gSum((1.0 - weight.internalField())*mesh.V());
    

    // - Bubble centre on the start of calculation
    vector Cbf;
    Cbf = Cb;
    

    // - Bubble position vector
    dimensionedVector XF ("XF", dimLength, vector::zero);
    XF = dimensionedVector
    (
    	"XF",
    	dimLength,
    	Cbf
    );

    // - Bubble velocity
    dimensionedVector UF ("UF", dimVelocity, vector::zero);
    if (movingReferenceFrame.found("UF"))
    {
        UF = dimensionedVector
        (
            movingReferenceFrame.lookup("UF")
        );
    }

    // - Bubble acceleration
    dimensionedVector aF ("aF", dimensionSet(0,1,-2,0,0,0,0), vector::zero);
    if (movingReferenceFrame.found("aF"))
    {
        aF = dimensionedVector
        (
            movingReferenceFrame.lookup("aF")
        );
    }

	// - bubbleVolume
    scalar Vb;
    Vb = gSum((1.0 - gamma.internalField())*mesh.V());
        bubbleProperties.add("Vb", Vb);

    scalar Vbf;
    if (bubbleProperties.found("Vbf"))
    {
        Vbf = readScalar
        (
            bubbleProperties.lookup("Vbf")
        );
    }
    else
    {
        Vbf = Vb;
        bubbleProperties.add("Vbf", Vbf);
    }

/*

    // Find cell near the bubble centroid
    label bubbleRefCellID = 0;

    if(Pstream::master())
    {
        vector Cb = 
            sum
            (
                (1.0 - fluidIndicator.internalField())
                *mesh.C().internalField()*mesh.V()
            )
           /sum((1.0 - fluidIndicator.internalField())*mesh.V());

        Info << "Ref cell coordinate: " << Cb << endl;
        
        bubbleRefCellID = mesh.findNearestCell(Cb);
    }

*/
